# A SigningProfile stores information that the CA needs to store
# signature policy.
type Tlsinfo::SigningProfile = Struct[{
    Optional[usages]               => Array[Variant[Tlsinfo::KeyUsage, Tlsinfo::ExtKeyUsage]],
    Optional[issuer_urls]          => Array[String],
    Optional[ocsp_url]             => String,
    Optional[crl_url]              => String,
    Optional[ca_constraint]        => Tlsinfo::CAConstraint,
    Optional[ocsp_no_check]        => Boolean,
    Optional[expiry]               => Tlsinfo::TimeDuration,
    Optional[backdate]             => String,
    Optional[auth_key]             => String,
    Optional[copy_extensions]      => Boolean,
    Optional[prev_auth_key]        => String,
    Optional[remote]               => String,
    Optional[not_before]           => String,
    Optional[not_after]            => String,
    Optional[name_whitelist]       => String,
    Optional[auth_remote]          => Tlsinfo::AuthRemote,
    Optional[ct_log_servers]       => Array[String],
    Optional[allowed_extensions]   => Tlsinfo::OID,
    Optional[cert_store]           => String,
    Optional[lint_error_level]     => Integer,
    Optional[ignored_lint_sources] => Array[String],
}]
